/***************************************************************************
*** Name: 								I2C-Display 																			
*** Function: 						I2C Display Driver (8 x 16-Segments)								*/
/** \defgroup 						testi2cdisplay Test I2C-LCD-Display																		
*** \brief 							Routines to run a Test I2C-Display									
**	\author             	Andreas Hesse 
*** @date 								Date of construction: 		2004-02-14
*** @date 								Date of last revision: 	2004-02-19
*** \version 						1.0.0.0
***	\bug									no bugs found
*** @note 
*** Thanks
******************************************************************************
***
*** - + = Adding new feature
*** - - = Bugfix
*** - * = Changed
*** - ? = detected problem
***
******************************************************************************
***
*** Version management:
*** - V 1.0.0.0  First construction based on several assembler sources 
*** */

/*@{*/

#include <avr/io.h>
#include <avr/interrupt.h>
#include "i2cmaster.h"   // used for the initialization procedure
#include "i2cdisp.h"

/* In a first step it uses single chardefinitions */

/** 
 @brief Main routine, Initialization and endless loop 
 @param void
 @return int (always 0)
 */

int main(void)
{
	// Declaration
	unsigned char ret;
	
	char Message01[_No_of_characters]="ANDREAS";
	
	// Function code
	// Input/Output Ports initialization

	// Port B
	PORTB	=	0x00;
	DDRB  	=	0x02;  
	
	// Port D
	PORTD	=	0x00;
	DDRD	=	0x00;
	
	// Timer/Counter 0 initialization
	// Clock source: System Clock
	// Clock value: Timer 0 Stopped
	// Mode: Output Compare
	// OC0 output: Disconnected
	TCCR0	=	0x00;
	TCNT0	=	0x00;
	
	// Timer/Counter 1 initialization
	// Clock source: System Clock
	// Clock value: Timer 1 Stopped
	// Mode: Output Compare
	// OC1A output: Discon.
	// OC1B output: Discon.
	// Noise Canceler: Off
	// Input Capture on Falling Edge
	TCCR1A	=	0x00;
	TCCR1B	=	0x00;
	TCNT1H	=	0x00;
	TCNT1L	=	0x00;
	OCR1AH	=	0x00;
	OCR1AL	=	0x00;	
	
	// External Interrupt(s) initialization
	// INT0: Oon
	// INT1: Off 
	GIMSK		= 0x00;        // Enable INT0 interrupt
	MCUCR	=	0x00;
	
	// Timer(s)/Counter(s) Interrupt(s) initialization
	TIMSK		=	0x00;
	
	// Analog Comparator initialization
	// Analog Comparator: Off
	// Analog Comparator Input Capture by Timer/Counter 1: Off
	ACSR		=	0x80;

   i2c_init();                 // init I2C interface

   //ret = I2CDisplay (0xF0, 0, 0, Message01) ;
   while (1)
	{
	};
	return(0);
}
 /*@}*/  

